@echo off
rem Set JAVA_HOME to the location of your Java runtime environment
SET JAVA_HOME=c:\jdk1.4

if "%JAVA_HOME%empty" == "empty" goto no_home
%JAVA_HOME%\bin\java -classpath .\adhoc_tool.jar samples.javaclient.analyzer.Analyzer
goto all_done

:no_home
echo ************************************************************************************************
echo * You must set JAVA_HOME environment variable to the location of your Java runtime environment
echo *
echo * Example:
echo * set JAVA_HOME=c:\jdk1.4
echo *
echo ************************************************************************************************

:all_done